cbind {CALIB} | R Documentation

## Combine RGList_CALIB, SpikeList or ParameterList objects

### Description

Combine a series of `RGList\_CALIB` objects or a series of `SpikeList` objects or a series of
`ParameterList` objects.

### Usage

     ## S3 method for class 'RGList_CALIB':
     cbind(..., deparse.level = 1)
     ## S3 method for class 'RGList_CALIB':
     rbind(..., deparse.level = 1)

### Arguments

`...` | `RGList_CALIB` objects, `SpikeList` objects or `ParameterList` objects .
`deparse.level` | see `cbind` in base package.

### Details

`cbind` combines data objects assuming the same gene lists but different arrays. `rbind` combines data objects assuming equivalent arrays, i.e., the same RNA targets, but different genes.

For `ParameterList` objects, only `cbind` is available, because it makes no sense to rbind parameter.

For `RGList_CALIB` objects and `SpikeList` objects, cbind and rbind are both available. For `cbind`, the matrices of expression data from the individual objects are cbinded. The data.frames of target information, if they exist, are rbinded. The combined data object will preserve any additional components or attributes found in the first object to be combined. For `rbind`, the matrices of expression data are rbinded while the target information, in any, is unchanged.

### Value

An `RGList_CAILB`, a `SpikeList` or a `ParameterList` object holding data from all the arrays and all genes from the individual objects.

### Author(s)

Hui Zhao

### References

`cbind` in limma package

### See Also

`cbind` in the base package

`cbind` in the limma package

### Examples

    R1 <- G1 <- matrix(1:8,4,2)
    rownames(R1) <- rownames(G1) <- c("g1","g2","g3","g4")
    colnames(R1) <- colnames(G1) <- c("a1","a2")
    RG1 <- new("RGList_CALIB",list(R=R1,G=G1))

    R2 <- G2 <- matrix(9:16,4,2)
    rownames(R2) <- rownames(G2) <- c("g1","g2","g3","g4")
    colnames(R2) <- colnames(G2) <- c("a3","a4")
    RG2 <- new("RGList_CALIB",list(R=R2,G=G2))

    RG <- cbind(RG1,RG2)

[Package CALIB version 1.10.0 Index]